Mailinglist Archive: opensuse-bugs (3349 mails)

< Previous Next >
[Bug 977903] Memory leak on Totem-player on .mkv (Matroska) playing, if gstreamer-plugins-libav is not installed
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 02 May 2016 15:06:15 +0000
  • Message-id: <bug-977903-21960-ynWRAgnrd3@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=977903
http://bugzilla.opensuse.org/show_bug.cgi?id=977903#c1

--- Comment #1 from Mikhail Kasimov <mikhail.kasimov@xxxxxxxxx> ---
Variants of solution:

1. To check, if gstreamer-plugins-libav is not installed, then generate message
like 'gstreamer-plugins-libav is not installed. Please, install it to play this
file' after then exit ().

2. To check, if gstreamer-plugins-libav is not installed, then generate message
like 'gstreamer-plugins-libav is not installed. If you press 'Yes', you'll hear
the sound, but won't see video-stream. 'No' is recommended. Please, install
gstreamer-plugins-libav to play video-stream normally'. And two buttons --
'Yes' and 'No'. But in this case it's anyway needed to avoid memory-leak if
user chooses 'Yes'.

So, 1. is more lazy way and 2. is more intelligent.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >